Bug 730940 - as7: NullPointerException on creating a new child resource to the domain controller
as7: NullPointerException on creating a new child resource to the domain cont...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-08-16 06:27 EDT by Sunil Kondkar
Modified: 2012-02-07 14:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:29:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (54.22 KB, image/png)
2011-08-16 06:27 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2011-08-16 06:27:11 EDT
Description of problem:

Tried to create a new child resource to the domain controller by uploading a
war file. (Also tried with postgresql-9.0-801.jdbc4.jar) The child history tab of DomainController displays failed status with NullPointerException.

The details in the error are:

java.lang.NullPointerException
	at org.rhq.modules.plugins.jbossas7.HostControllerComponent.createResource(HostControllerComponent.java:81)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:537)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)

Version-Release number of selected component (if applicable):

Build#281 (Version: 4.1.0-SNAPSHOT Build Number: 2f858f7)
Database: Postgres 8.4.2
AS-7 Version: jboss-as-7.0.0.Final

How reproducible:

Always

Steps to Reproduce:

1. Start the AS7 domain mode.
2. Install RHQ with As7 plugin.
3. Navigate to the 'Inventory'->Child Resources tab of the DomainController
after discovery and import.
4. Click on 'Create Child->DomainDeployment' in Child Resources tab.
5. Click 'Next' and upload a war file.
6. Click 'Next' and 'Finish' buttons.
7. Navigate to the child history tab and click on the history status.
  
Actual results:

NullPointerException on creating a new child resource to the domain controller

Expected results:

Should be able to create a new child resource to the domain controller with success.

Additional info:
Comment 1 Sunil Kondkar 2011-08-16 06:27:53 EDT
Created attachment 518452 [details]
Screenshot
Comment 2 Heiko W. Rupp 2011-08-16 09:03:02 EDT
99ec567c4ac in as7plugin
Comment 3 Heiko W. Rupp 2011-08-16 09:26:29 EDT
9645f3ed8eb73744 in master
Comment 4 Sunil Kondkar 2011-08-17 05:11:39 EDT
Verified on build#283 (Version: 4.1.0-SNAPSHOT Build Number: 3c15c6f)

Successfully created a new child resource to the domain controller by uploading a war file.

Marking as verified.
Comment 5 Mike Foley 2012-02-07 14:29:42 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 6 Mike Foley 2012-02-07 14:30:21 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.